Bug 114785 - reiserfs won't mount with usrquota option
reiserfs won't mount with usrquota option
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: util-linux (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-02 16:17 EST by Need Real Name
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-24 10:52:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2004-02-02 16:17:28 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040122 Debian/1.6-1

Description of problem:
quota is not working for reiserfs filesystems. reiserfs partitions can
not be
mounted with 'usrquota' option.

[root@test mnt]# mkreiserfs /dev/hdc3
                                                                     
         
                                
<-------------mkreiserfs, 2003------------->
reiserfsprogs 3.6.8
                                                                     
         
                                
mkreiserfs: Guessing about desired format..
mkreiserfs: Kernel 2.4.22-1.2115.nptl is running.
Format 3.6 with standard journal
Count of blocks on the device: 9501786
Number of blocks consumed by mkreiserfs formatting process: 8501
Blocksize: 4096
Hash function used to sort names: "r5"
Journal Size 8193 blocks (first block 18)
Journal Max transaction length 1024
inode generation number: 0
UUID: 1e899a73-2bdc-44f3-b1cd-a24ce52b0c5e
ATTENTION: YOU SHOULD REBOOT AFTER FDISK!
        ALL DATA WILL BE LOST ON '/dev/hdc3'!
Continue (y/n):y
Initializing journal - 0%....20%....40%....60%....80%....100%
Syncing..ok
                                                                     
         
                                
The Defense Advanced Research Projects Agency (DARPA) is the primary
sponsor of
Reiser4. DARPA does not endorse this project; it merely sponsors it.
                                                                     
         
                                
Continuing core development of version 3 is mostly paid for by Hans
Reiser from
money made selling licenses in addition to the GPL to companies who
don't want
it known that they use ReiserFS as a foundation for their proprietary
product.
And my lawyer asked 'People pay you money for this?'.  Yup.  Hee Hee.
Life is
good.  If you buy ReiserFS, you can focus on your value add rather than
reinventing an entire FS.  You should buy some free software too....
                                                                     
         
                                
SuSE pays for continuing work on journaling for version 3, and paid for
much of
the previous version 3 work.  Reiserfs integration in their distro is
consistently solid.
                                                                     
         
                                
MP3.com paid for initial journaling development.

Bigstorage.com contributes to our general fund every month, and has done
so for
quite a long time.
  
Thanks to all of those sponsors, including the secret ones.  Without
you, Hans
would still have that day job, and the merry band of hackers would be
missing
quite a few....
  
Have fun.
[root@test mnt]# mount -t reiserfs -o defaults,usrquota /dev/hdc3 test
mount: wrong fs type, bad option, bad superblock on /dev/hdc3,
       or too many mounted file systems
[root@test mnt]# mke2fs /dev/hdc3
mke2fs 1.34 (25-Jul-2003)
Filesystem label=
OS type: Linux
Block size=4096 (log=2)
Fragment size=4096 (log=2)
4751360 inodes, 9501786 blocks
475089 blocks (5.00%) reserved for the super user
First data block=0
290 block groups
32768 blocks per group, 32768 fragments per group
16384 inodes per group
Superblock backups stored on blocks:
        32768, 98304, 163840, 229376, 294912, 819200, 884736, 1605632,
2654208,
        4096000, 7962624
  
Writing inode tables: done
Writing superblocks and filesystem accounting information: done
  
This filesystem will be automatically checked every 36 mounts or
180 days, whichever comes first.  Use tune2fs -c or -i to override.
[root@test mnt]# mount -t ext2 -o defaults,usrquota /dev/hdc3 test
[root@test mnt]# mount
/dev/hda3 on / type reiserfs (rw)
none on /proc type proc (rw)
none on /dev/pts type devpts (rw,gid=5,mode=620)
usbdevfs on /proc/bus/usb type usbdevfs (rw)
/dev/hda1 on /boot type reiserfs (rw)
none on /dev/shm type tmpfs (rw)
/dev/hdc3 on /mnt/test type ext2 (rw,usrquota)
[root@test mnt]#
                                                                     
         
                                
This happens with:
kernel-2.4.22-1.2115.nptl && mount-2.11y-29
kernel-2.4.22-1.2149.nptl && mount-2.11y-29
from fedora core 1 base and updates.
                                                                     
         
                                
And also happens with:
kernel-2.6.1-1.52 && mount-2.11y-35.sel
from the development branch.



Version-Release number of selected component (if applicable):
mount-2.11y-35.sel

How reproducible:
Always

Steps to Reproduce:
1. mount -t reiserfs -o defaults,usrquota /dev/... mountpoint

    

Actual Results:  mount: wrong fs type, bad option, bad superblock on
/dev/hdc3,
       or too many mounted file systems

Expected Results:  it should mount the reiserfs with usrquota option.

Additional info:
Comment 1 Elliot Lee 2004-02-24 10:52:05 EST
We don't support reiserfs at all, so you're on your own.

Most likely it's a problem in the kernel rather than util-linux, if
you're looking for a place to start tracking down the problem.

Note You need to log in before you can comment on or make changes to this bug.